<?php

			session_start();
			include("corps_html.php");
			include('database.php');
			include('config.php');
		
?>	

<link href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

<script>

  $(function() {
    $( "#date_debut_projet" ).datepicker();
  });

function getXhr()
{
			var xhr = null; 
			if(window.XMLHttpRequest) // Firefox et autres
			   xhr = new XMLHttpRequest(); 
			else if(window.ActiveXObject)
			{ // Internet Explorer 
			   try 
			   {
					xhr = new ActiveXObject("Msxml2.XMLHTTP");
			   } 
			   catch (e) 
			   {
					xhr = new ActiveXObject("Microsoft.XMLHTTP");
			   }
			}
			else 
			{ 
				// XMLHttpRequest non supporté par le navigateur 
				alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
				xhr = false; 
			} 

			return xhr;
}

function valider_creer_projet()
{

			nom_projet = document.getElementById('nom_projet').value;
			owner = document.getElementById('owner').value;
			date_debut_projet = document.getElementById('date_debut_projet').value;
			duree = document.getElementById('duree').value;
			nom_famille = document.getElementById('nom_famille').value;
			status_projet = document.getElementById('status_projet').value;
			commentaires = document.getElementById('commentaires').value;
			
			//alert(nom_projet + " " + owner + " " + date_debut_projet + " " + duree + " " + nom_famille + " " + status_projet + " " + commentaires);
				
			if(nom_projet.length  == '' || owner.length == '')
			{
	
						$(function()
						{
									$( "#message_incomplet" ).dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
												{
													$( this ).dialog( "close" );
												}
											 }
										});
						});
			}
			else
			{
				//var data = 'un='+var1+'&deux='+var2;
				
				var data = 'nom_projet='+nom_projet
				+'&owner='+owner
				+'&date_debut_projet='+date_debut_projet
				+'&duree='+duree
				+'&nom_famille='+nom_famille
				+'&status_projet='+status_projet
				+'&commentaires='+commentaires;
				
				alert(data);
				
				$.ajax({
							
							type: "POST",
							url: "sauver_projet.php", 
							data: data,
							success: function (reponse) 
							{
									if(reponse == "ok")
									{
										$( "#message_sauvegarde" ).dialog({
													modal: true,
													title: "Infos",
													buttons: {
																Ok: function()
																{
																	$( this ).dialog( "close" );
																	//recharger();
																}
															 }
													});
									}
									if(reponse == "erreur")
									{
										$( "#message_projet_existe" ).dialog({
													modal: true,
													title: "Infos",
													buttons: {
																Ok: function()
																{
																	$( this ).dialog( "close" );
																	//recharger();
																}
															 }
													});

									}
									
							},
							
							error : function(request)
							{
									console.log(request.responseText);
							}
				});

			}
			
}
		
</script>

<body>

	<div class="layout">

<?php
	include("header.php");
?>	
		
<!-- Main -->
		<div class="main">
			<div class="container">
				<div class="row">
				
				<div class="col-md-8">
						<!-- Content -->
						<div class="content">
							<div class="page-header">
								<!--<h3>Interface du gestionnaire de projets</h3> -->
								<h2><i class="icon-bullhorn"></i> <span>Créer un projet</span></h2>
							</div>
								
							<!-- Single Page -->
							<div class="page">
								
							<div class="examples">
							
							<!------>
							<!--<form action="" method="post" id="form_ajouter_projet" name="form_ajouter_projet"  -->

							<table align="left" cellspacing="1" cellpadding="5" border="0" bgcolor="#D5D5D5" width="800">
											
							<tr bgcolor="#FFFFFF">
							<td align="right" valign="top">Nom du projet :</td>
							<td align="left" valign="middle" colspan="1">
							<input type="text" id="nom_projet" size="40" maxlength="20" value="" id="" >&nbsp;</td>
							</tr>
							
							<tr bgcolor="#FFFFFF">
							<td align="right" valign="top">Owner :</td>
							<td align="left" valign="middle" colspan="1">
							<input type="text" id="owner" size="40" maxlength="20" value=""  >&nbsp;</td>
							</tr>
							
							<tr bgcolor="#FFFFFF">
							<td align="right" valign="top">Date de début :</td>
							<td align="left" valign="middle" colspan="1">
							<!--<input type="text" size="12" id="date_debut_projet" READONLY name="date_debut_projet" title="DD-MM-YYYY" > -->
							<input type="text" id="date_debut_projet"> 
							</td>
							</tr>
							
							<tr bgcolor="#FFFFFF">
							<td align="right">Durée :</td>
							<td align="left">
							<select id="duree" size="1">
							<option value="1" selected="selected">1 mois</option>
							<option value="2">2 mois </option>
							<option value="3">3 mois </option>
							<option value="4">4 mois </option>
							<option value="5">5 mois </option>
							<option value="6">6 mois </option>
							</select></td>
							</tr>
							
							<tr bgcolor="#FFFFFF">
							<td align="right">Nom de la famille :</td>
							<td align="left">
							<select id="nom_famille" size="1">
<?php							

							for ($i=0; $i < count($tab_famille_projet); $i++)
							{
								if($i == 0)
								{	
									echo "<option value= '$tab_famille_projet[$i]' select = 'selected' >$tab_famille_projet[$i]</option>";
								}
								else
								{	
									echo "<option value= '$tab_famille_projet[$i]' >$tab_famille_projet[$i]</option>";
								}	
							}
?>							
							
							</select></td>
							</tr>
							
							<tr bgcolor="#FFFFFF">
							<td align="right">Status :</td>
							<td align="left">
							<select id="status_projet">
							<option value="actif" selected="selected">Actif</option>
							<option value="inactif">Inactif</option>
							</select>
							</td>
							</tr>
							
							<tr bgcolor="#FFFFFF">
							<td align="right" valign="top">Commentaires :</td>
							<td align="left" valign="middle" colspan="1">
							<textarea id="commentaires" rows="12" cols="70" id="">
							</textarea></td>
							</tr>
									
							</table>
							
							<br/><br/><br/><br/><br/><br/>
							<input class="btn btn-primary" type="submit" value="Ajouter" name="ajouter" onclick="valider_creer_projet()" />

							<!------->
							
							
							</div>	
								
							<div class="clear"></div>

							<div class="clear"></div>
							</div>
							<!-- End Single Page -->
						</div>
						<!-- End Content -->
				</div>
					
				</div>
			</div>
		</div>
<!-- End Main -->
		
<?php
			include("footer.php");
?>		

	</div>

			<div id="message_incomplet" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			Champs obligatoire(s) vide !.
			</p>
			</div>
			
			<div id="message_sauvegarde" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			Le projet a été enregistré dans la database.
			</p>
			</div>
			
			<div id="message_projet_existe" style="display: none">
			<p>
			<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
			Le projet existe déjà dans la database !.
			</p>
			</div>
			

	
</body>
</html>
